#314 openldap-devel is required to run the tests
Closed 2 years ago by gnaponie. Opened 2 years ago by gnaponie.
gnaponie/waiverdb add-ldap-deps-tests  into  master

file modified
+1 -1
@@ -46,7 +46,7 @@ 

      checkout scm

      stage('Prepare') {

          sh 'sudo dnf -y builddep waiverdb.spec'

-         sh 'sudo dnf -y install python3-flake8 python3-pylint python3-pytest python3-sphinx python3-sphinxcontrib-httpdomain'

+         sh 'sudo dnf -y install python3-flake8 python3-pylint python3-pytest python3-sphinx python3-sphinxcontrib-httpdomain openldap-devel'

          /* Needed for mock EPEL7 builds: https://bugzilla.redhat.com/show_bug.cgi?id=1528272 */

          sh 'sudo dnf -y install dnf-utils'

          /* Needed to get the latest /etc/mock/fedora-28-x86_64.cfg */

The Jenkinsfile needs openldap-devel to run the unit tests.

Pull-Request has been closed by gnaponie

2 years ago
Metadata